import RelativeJsonPointerError from "./RelativeJsonPointerError.mjs";
export default class InvalidRelativeJsonPointerError extends RelativeJsonPointerError {
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
    }
  }
}